from apiflask import Schema, fields


class RuleAtomDto(Schema):
    variable = fields.String()
    type = fields.String()
    value = fields.Float()


class RuleDto(Schema):
    antecedent = fields.List(fields.Nested(RuleAtomDto()))
    consequent = fields.Field()


class TreeNodeDto(Schema):
    parent = fields.String()
    name = fields.String()
    level = fields.Integer()
    variable = fields.String()
    type = fields.String()
    value = fields.Field()
